package cn.gyee.tamplate.model;
// default package



public class Equipmentmodel implements java.io.Serializable {

	/** 
    * @Fields serialVersionUID : TODO
    */ 
    
    
    private static final long serialVersionUID = 1L;
	// Fields

	private String id;
	private String code;
	private String name;
	private String description;
	private Double powerproduction;
	private Double cutinwindspeed;
	private Double ratedwindspeed;
	private String cutoutwindspeed;
	private String windturbinemanufacturerid;
	private String photo;
	private String unit;
	private Double sweptarea;
	private Integer equipmentcategory;

	// Constructors

	/** default constructor */
	public Equipmentmodel() {
	}

	public String getId() {
    	return id;
    }

	public void setId(String id) {
    	this.id = id;
    }

	public String getCode() {
    	return code;
    }

	public void setCode(String code) {
    	this.code = code;
    }

	public String getName() {
    	return name;
    }

	public void setName(String name) {
    	this.name = name;
    }

	public String getDescription() {
    	return description;
    }

	public void setDescription(String description) {
    	this.description = description;
    }

	public Double getPowerproduction() {
    	return powerproduction;
    }

	public void setPowerproduction(Double powerproduction) {
    	this.powerproduction = powerproduction;
    }

	public Double getCutinwindspeed() {
    	return cutinwindspeed;
    }

	public void setCutinwindspeed(Double cutinwindspeed) {
    	this.cutinwindspeed = cutinwindspeed;
    }

	public Double getRatedwindspeed() {
    	return ratedwindspeed;
    }

	public void setRatedwindspeed(Double ratedwindspeed) {
    	this.ratedwindspeed = ratedwindspeed;
    }

	public String getCutoutwindspeed() {
    	return cutoutwindspeed;
    }

	public void setCutoutwindspeed(String cutoutwindspeed) {
    	this.cutoutwindspeed = cutoutwindspeed;
    }

	public String getWindturbinemanufacturerid() {
    	return windturbinemanufacturerid;
    }

	public void setWindturbinemanufacturerid(String windturbinemanufacturerid) {
    	this.windturbinemanufacturerid = windturbinemanufacturerid;
    }

	public String getPhoto() {
    	return photo;
    }

	public void setPhoto(String photo) {
    	this.photo = photo;
    }

	public String getUnit() {
    	return unit;
    }

	public void setUnit(String unit) {
    	this.unit = unit;
    }

	public Double getSweptarea() {
    	return sweptarea;
    }

	public void setSweptarea(Double sweptarea) {
    	this.sweptarea = sweptarea;
    }

	public Integer getEquipmentcategory() {
    	return equipmentcategory;
    }

	public void setEquipmentcategory(Integer equipmentcategory) {
    	this.equipmentcategory = equipmentcategory;
    }


}